com.amazonaws.services.elastictranscoder.model

## Class AudioParameters

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.AudioParameters

All Implemented Interfaces:
  Serializable, Cloneable

    public class AudioParameters
    extends Object
    implements Serializable, Cloneable

Parameters required for transcoding audio.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AudioParameters()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AudioParameters` `clone()`
`boolean` `equals(Object obj)`
`String` `getAudioPackingMode()` The method of organizing audio channels and tracks.
`String` `getBitRate()` The bit rate of the audio stream in the output file, in kilobits/second.
`String` `getChannels()` The number of audio channels in the output file.
`String` `getCodec()` The audio codec for the output file.
`AudioCodecOptions` `getCodecOptions()` If you specified `AAC` for `Audio:Codec`, this is the `AAC` compression profile to use.
`String` `getSampleRate()` The sample rate of the audio stream in the output file, in Hertz.
`int` `hashCode()`
`void` `setAudioPackingMode(String audioPackingMode)` The method of organizing audio channels and tracks.
`void` `setBitRate(String bitRate)` The bit rate of the audio stream in the output file, in kilobits/second.
`void` `setChannels(String channels)` The number of audio channels in the output file.
`void` `setCodec(String codec)` The audio codec for the output file.
`void` `setCodecOptions(AudioCodecOptions codecOptions)` If you specified `AAC` for `Audio:Codec`, this is the `AAC` compression profile to use.
`void` `setSampleRate(String sampleRate)` The sample rate of the audio stream in the output file, in Hertz.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`AudioParameters` `withAudioPackingMode(String audioPackingMode)` The method of organizing audio channels and tracks.
`AudioParameters` `withBitRate(String bitRate)` The bit rate of the audio stream in the output file, in kilobits/second.
`AudioParameters` `withChannels(String channels)` The number of audio channels in the output file.
`AudioParameters` `withCodec(String codec)` The audio codec for the output file.
`AudioParameters` `withCodecOptions(AudioCodecOptions codecOptions)` If you specified `AAC` for `Audio:Codec`, this is the `AAC` compression profile to use.
`AudioParameters` `withSampleRate(String sampleRate)` The sample rate of the audio stream in the output file, in Hertz.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AudioParameters

    public AudioParameters()

### Method Detail

#### setCodec

    public void setCodec(String codec)

The audio codec for the output file. Valid values include `aac`, `flac`, `mp2`, `mp3`, `pcm`, and `vorbis`.

Parameters:
  `codec` - The audio codec for the output file. Valid values include `aac`, `flac`, `mp2`, `mp3`, `pcm`, and `vorbis`.

#### getCodec

    public String getCodec()

The audio codec for the output file. Valid values include `aac`, `flac`, `mp2`, `mp3`, `pcm`, and `vorbis`.

Returns:
  The audio codec for the output file. Valid values include `aac`, `flac`, `mp2`, `mp3`, `pcm`, and `vorbis`.

#### withCodec

    public AudioParameters withCodec(String codec)

The audio codec for the output file. Valid values include `aac`, `flac`, `mp2`, `mp3`, `pcm`, and `vorbis`.

Parameters:
  `codec` - The audio codec for the output file. Valid values include `aac`, `flac`, `mp2`, `mp3`, `pcm`, and `vorbis`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSampleRate

    public void setSampleRate(String sampleRate)

The sample rate of the audio stream in the output file, in Hertz. Valid values include:

`auto`, `22050`, `32000`, `44100`, `48000`, `96000`

If you specify `auto`, Elastic Transcoder automatically detects the sample rate.

Parameters:
  `sampleRate` - The sample rate of the audio stream in the output file, in Hertz. Valid values include:

  `auto`, `22050`, `32000`, `44100`, `48000`, `96000`

  If you specify `auto`, Elastic Transcoder automatically detects the sample rate.

#### getSampleRate

    public String getSampleRate()

The sample rate of the audio stream in the output file, in Hertz. Valid values include:

`auto`, `22050`, `32000`, `44100`, `48000`, `96000`

If you specify `auto`, Elastic Transcoder automatically detects the sample rate.

Returns:
  The sample rate of the audio stream in the output file, in Hertz. Valid values include:

  `auto`, `22050`, `32000`, `44100`, `48000`, `96000`

  If you specify `auto`, Elastic Transcoder automatically detects the sample rate.

#### withSampleRate

    public AudioParameters withSampleRate(String sampleRate)

The sample rate of the audio stream in the output file, in Hertz. Valid values include:

`auto`, `22050`, `32000`, `44100`, `48000`, `96000`

If you specify `auto`, Elastic Transcoder automatically detects the sample rate.

Parameters:
  `sampleRate` - The sample rate of the audio stream in the output file, in Hertz. Valid values include:

  `auto`, `22050`, `32000`, `44100`, `48000`, `96000`

  If you specify `auto`, Elastic Transcoder automatically detects the sample rate.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setBitRate

    public void setBitRate(String bitRate)

The bit rate of the audio stream in the output file, in kilobits/second. Enter an integer between 64 and 320, inclusive.

Parameters:
  `bitRate` - The bit rate of the audio stream in the output file, in kilobits/second. Enter an integer between 64 and 320, inclusive.

#### getBitRate

    public String getBitRate()

The bit rate of the audio stream in the output file, in kilobits/second. Enter an integer between 64 and 320, inclusive.

Returns:
  The bit rate of the audio stream in the output file, in kilobits/second. Enter an integer between 64 and 320, inclusive.

#### withBitRate

    public AudioParameters withBitRate(String bitRate)

The bit rate of the audio stream in the output file, in kilobits/second. Enter an integer between 64 and 320, inclusive.

Parameters:
  `bitRate` - The bit rate of the audio stream in the output file, in kilobits/second. Enter an integer between 64 and 320, inclusive.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setChannels

    public void setChannels(String channels)

The number of audio channels in the output file. The following values are valid:

`auto`, `0`, `1`, `2`

One channel carries the information played by a single speaker. For example, a stereo track with two channels sends one channel to the left speaker, and the other channel to the right speaker. The output channels are organized into tracks. If you want Elastic Transcoder to automatically detect the number of audio channels in the input file and use that value for the output file, select `auto`.

The output of a specific channel value and inputs are as follows:

- `auto` channel specified, with any input: Pass through up to eight input channels.

- `0` channels specified, with any input: Audio omitted from the output.

- `1` channel specified, with at least one input channel: Mono sound.

- `2` channels specified, with any input: Two identical mono channels or stereo. For more information about tracks, see `Audio:AudioPackingMode.`

For more information about how Elastic Transcoder organizes channels and tracks, see `Audio:AudioPackingMode`.

Parameters:
  `channels` - The number of audio channels in the output file. The following values are valid:

  `auto`, `0`, `1`, `2`

  One channel carries the information played by a single speaker. For example, a stereo track with two channels sends one channel to the left speaker, and the other channel to the right speaker. The output channels are organized into tracks. If you want Elastic Transcoder to automatically detect the number of audio channels in the input file and use that value for the output file, select `auto`.

  The output of a specific channel value and inputs are as follows:

  - `auto` channel specified, with any input: Pass through up to eight input channels.

  - `0` channels specified, with any input: Audio omitted from the output.

  - `1` channel specified, with at least one input channel: Mono sound.

  - `2` channels specified, with any input: Two identical mono channels or stereo. For more information about tracks, see `Audio:AudioPackingMode.`

  For more information about how Elastic Transcoder organizes channels and tracks, see `Audio:AudioPackingMode`.

#### getChannels

    public String getChannels()

The number of audio channels in the output file. The following values are valid:

`auto`, `0`, `1`, `2`

One channel carries the information played by a single speaker. For example, a stereo track with two channels sends one channel to the left speaker, and the other channel to the right speaker. The output channels are organized into tracks. If you want Elastic Transcoder to automatically detect the number of audio channels in the input file and use that value for the output file, select `auto`.

The output of a specific channel value and inputs are as follows:

- `auto` channel specified, with any input: Pass through up to eight input channels.

- `0` channels specified, with any input: Audio omitted from the output.

- `1` channel specified, with at least one input channel: Mono sound.

- `2` channels specified, with any input: Two identical mono channels or stereo. For more information about tracks, see `Audio:AudioPackingMode.`

For more information about how Elastic Transcoder organizes channels and tracks, see `Audio:AudioPackingMode`.

Returns:
  The number of audio channels in the output file. The following values are valid:

  `auto`, `0`, `1`, `2`

  One channel carries the information played by a single speaker. For example, a stereo track with two channels sends one channel to the left speaker, and the other channel to the right speaker. The output channels are organized into tracks. If you want Elastic Transcoder to automatically detect the number of audio channels in the input file and use that value for the output file, select `auto`.

  The output of a specific channel value and inputs are as follows:

  - `auto` channel specified, with any input: Pass through up to eight input channels.

  - `0` channels specified, with any input: Audio omitted from the output.

  - `1` channel specified, with at least one input channel: Mono sound.

  - `2` channels specified, with any input: Two identical mono channels or stereo. For more information about tracks, see `Audio:AudioPackingMode.`

  For more information about how Elastic Transcoder organizes channels and tracks, see `Audio:AudioPackingMode`.

#### withChannels

    public AudioParameters withChannels(String channels)

The number of audio channels in the output file. The following values are valid:

`auto`, `0`, `1`, `2`

One channel carries the information played by a single speaker. For example, a stereo track with two channels sends one channel to the left speaker, and the other channel to the right speaker. The output channels are organized into tracks. If you want Elastic Transcoder to automatically detect the number of audio channels in the input file and use that value for the output file, select `auto`.

The output of a specific channel value and inputs are as follows:

- `auto` channel specified, with any input: Pass through up to eight input channels.

- `0` channels specified, with any input: Audio omitted from the output.

- `1` channel specified, with at least one input channel: Mono sound.

- `2` channels specified, with any input: Two identical mono channels or stereo. For more information about tracks, see `Audio:AudioPackingMode.`

For more information about how Elastic Transcoder organizes channels and tracks, see `Audio:AudioPackingMode`.

Parameters:
  `channels` - The number of audio channels in the output file. The following values are valid:

  `auto`, `0`, `1`, `2`

  One channel carries the information played by a single speaker. For example, a stereo track with two channels sends one channel to the left speaker, and the other channel to the right speaker. The output channels are organized into tracks. If you want Elastic Transcoder to automatically detect the number of audio channels in the input file and use that value for the output file, select `auto`.

  The output of a specific channel value and inputs are as follows:

  - `auto` channel specified, with any input: Pass through up to eight input channels.

  - `0` channels specified, with any input: Audio omitted from the output.

  - `1` channel specified, with at least one input channel: Mono sound.

  - `2` channels specified, with any input: Two identical mono channels or stereo. For more information about tracks, see `Audio:AudioPackingMode.`

  For more information about how Elastic Transcoder organizes channels and tracks, see `Audio:AudioPackingMode`.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setAudioPackingMode

    public void setAudioPackingMode(String audioPackingMode)

The method of organizing audio channels and tracks. Use `Audio:Channels` to specify the number of channels in your output, and `Audio:AudioPackingMode` to specify the number of tracks and their relation to the channels. If you do not specify an `Audio:AudioPackingMode`, Elastic Transcoder uses `SingleTrack`.

The following values are valid:

`SingleTrack`, `OneChannelPerTrack`, and `OneChannelPerTrackWithMosTo8Tracks`

When you specify `SingleTrack`, Elastic Transcoder creates a single track for your output. The track can have up to eight channels. Use `SingleTrack` for all non-`mxf` containers.

The outputs of `SingleTrack` for a specific channel value and inputs are as follows:

- `0` channels with any input: Audio omitted from the output

- `1, 2, or auto` channels with no audio input: Audio omitted from the output

- `1` channel with any input with audio: One track with one channel, downmixed if necessary

- `2` channels with one track with one channel: One track with two identical channels

- `2 or auto` channels with two tracks with one channel each: One track with two channels

- `2 or auto` channels with one track with two channels: One track with two channels

- `2` channels with one track with multiple channels: One track with two channels

- `auto` channels with one track with one channel: One track with one channel

- `auto` channels with one track with multiple channels: One track with multiple channels

When you specify `OneChannelPerTrack`, Elastic Transcoder creates a new track for every channel in your output. Your output can have up to eight single-channel tracks.

The outputs of `OneChannelPerTrack` for a specific channel value and inputs are as follows:

- `0` channels with any input: Audio omitted from the output

- `1, 2, or auto` channels with no audio input: Audio omitted from the output

- `1` channel with any input with audio: One track with one channel, downmixed if necessary

- `2` channels with one track with one channel: Two tracks with one identical channel each

- `2 or auto` channels with two tracks with one channel each: Two tracks with one channel each

- `2 or auto` channels with one track with two channels: Two tracks with one channel each

- `2` channels with one track with multiple channels: Two tracks with one channel each

- `auto` channels with one track with one channel: One track with one channel

- `auto` channels with one track with multiple channels: Up to eight tracks with one channel each

When you specify `OneChannelPerTrackWithMosTo8Tracks`, Elastic Transcoder creates eight single-channel tracks for your output. All tracks that do not contain audio data from an input channel are MOS, or Mit Out Sound, tracks.

The outputs of `OneChannelPerTrackWithMosTo8Tracks` for a specific channel value and inputs are as follows:

- `0` channels with any input: Audio omitted from the output

- `1, 2, or auto` channels with no audio input: Audio omitted from the output

- `1` channel with any input with audio: One track with one channel, downmixed if necessary, plus six MOS tracks

- `2` channels with one track with one channel: Two tracks with one identical channel each, plus six MOS tracks

- `2 or auto` channels with two tracks with one channel each: Two tracks with one channel each, plus six MOS tracks

- `2 or auto` channels with one track with two channels: Two tracks with one channel each, plus six MOS tracks

- `2` channels with one track with multiple channels: Two tracks with one channel each, plus six MOS tracks

- `auto` channels with one track with one channel: One track with one channel, plus seven MOS tracks

- `auto` channels with one track with multiple channels: Up to eight tracks with one channel each, plus MOS tracks until there are eight tracks in all

Parameters:
  `audioPackingMode` - The method of organizing audio channels and tracks. Use `Audio:Channels` to specify the number of channels in your output, and `Audio:AudioPackingMode` to specify the number of tracks and their relation to the channels. If you do not specify an `Audio:AudioPackingMode`, Elastic Transcoder uses `SingleTrack`.

  The following values are valid:

  `SingleTrack`, `OneChannelPerTrack`, and `OneChannelPerTrackWithMosTo8Tracks`

  When you specify `SingleTrack`, Elastic Transcoder creates a single track for your output. The track can have up to eight channels. Use `SingleTrack` for all non-`mxf` containers.

  The outputs of `SingleTrack` for a specific channel value and inputs are as follows:

  - `0` channels with any input: Audio omitted from the output

  - `1, 2, or auto` channels with no audio input: Audio omitted from the output

  - `1` channel with any input with audio: One track with one channel, downmixed if necessary

  - `2` channels with one track with one channel: One track with two identical channels

  - `2 or auto` channels with two tracks with one channel each: One track with two channels

  - `2 or auto` channels with one track with two channels: One track with two channels

  - `2` channels with one track with multiple channels: One track with two channels

  - `auto` channels with one track with one channel: One track with one channel

  - `auto` channels with one track with multiple channels: One track with multiple channels

  When you specify `OneChannelPerTrack`, Elastic Transcoder creates a new track for every channel in your output. Your output can have up to eight single-channel tracks.

  The outputs of `OneChannelPerTrack` for a specific channel value and inputs are as follows:

  - `0` channels with any input: Audio omitted from the output

  - `1, 2, or auto` channels with no audio input: Audio omitted from the output

  - `1` channel with any input with audio: One track with one channel, downmixed if necessary

  - `2` channels with one track with one channel: Two tracks with one identical channel each

  - `2 or auto` channels with two tracks with one channel each: Two tracks with one channel each

  - `2 or auto` channels with one track with two channels: Two tracks with one channel each

  - `2` channels with one track with multiple channels: Two tracks with one channel each

  - `auto` channels with one track with one channel: One track with one channel

  - `auto` channels with one track with multiple channels: Up to eight tracks with one channel each

  When you specify `OneChannelPerTrackWithMosTo8Tracks`, Elastic Transcoder creates eight single-channel tracks for your output. All tracks that do not contain audio data from an input channel are MOS, or Mit Out Sound, tracks.

  The outputs of `OneChannelPerTrackWithMosTo8Tracks` for a specific channel value and inputs are as follows:

  - `0` channels with any input: Audio omitted from the output

  - `1, 2, or auto` channels with no audio input: Audio omitted from the output

  - `1` channel with any input with audio: One track with one channel, downmixed if necessary, plus six MOS tracks

  - `2` channels with one track with one channel: Two tracks with one identical channel each, plus six MOS tracks

  - `2 or auto` channels with two tracks with one channel each: Two tracks with one channel each, plus six MOS tracks

  - `2 or auto` channels with one track with two channels: Two tracks with one channel each, plus six MOS tracks

  - `2` channels with one track with multiple channels: Two tracks with one channel each, plus six MOS tracks

  - `auto` channels with one track with one channel: One track with one channel, plus seven MOS tracks

  - `auto` channels with one track with multiple channels: Up to eight tracks with one channel each, plus MOS tracks until there are eight tracks in all

#### getAudioPackingMode

    public String getAudioPackingMode()

The method of organizing audio channels and tracks. Use `Audio:Channels` to specify the number of channels in your output, and `Audio:AudioPackingMode` to specify the number of tracks and their relation to the channels. If you do not specify an `Audio:AudioPackingMode`, Elastic Transcoder uses `SingleTrack`.

The following values are valid:

`SingleTrack`, `OneChannelPerTrack`, and `OneChannelPerTrackWithMosTo8Tracks`

When you specify `SingleTrack`, Elastic Transcoder creates a single track for your output. The track can have up to eight channels. Use `SingleTrack` for all non-`mxf` containers.

The outputs of `SingleTrack` for a specific channel value and inputs are as follows:

- `0` channels with any input: Audio omitted from the output

- `1, 2, or auto` channels with no audio input: Audio omitted from the output

- `1` channel with any input with audio: One track with one channel, downmixed if necessary

- `2` channels with one track with one channel: One track with two identical channels

- `2 or auto` channels with two tracks with one channel each: One track with two channels

- `2 or auto` channels with one track with two channels: One track with two channels

- `2` channels with one track with multiple channels: One track with two channels

- `auto` channels with one track with one channel: One track with one channel

- `auto` channels with one track with multiple channels: One track with multiple channels

When you specify `OneChannelPerTrack`, Elastic Transcoder creates a new track for every channel in your output. Your output can have up to eight single-channel tracks.

The outputs of `OneChannelPerTrack` for a specific channel value and inputs are as follows:

- `0` channels with any input: Audio omitted from the output

- `1, 2, or auto` channels with no audio input: Audio omitted from the output

- `1` channel with any input with audio: One track with one channel, downmixed if necessary

- `2` channels with one track with one channel: Two tracks with one identical channel each

- `2 or auto` channels with two tracks with one channel each: Two tracks with one channel each

- `2 or auto` channels with one track with two channels: Two tracks with one channel each

- `2` channels with one track with multiple channels: Two tracks with one channel each

- `auto` channels with one track with one channel: One track with one channel

- `auto` channels with one track with multiple channels: Up to eight tracks with one channel each

When you specify `OneChannelPerTrackWithMosTo8Tracks`, Elastic Transcoder creates eight single-channel tracks for your output. All tracks that do not contain audio data from an input channel are MOS, or Mit Out Sound, tracks.

The outputs of `OneChannelPerTrackWithMosTo8Tracks` for a specific channel value and inputs are as follows:

- `0` channels with any input: Audio omitted from the output

- `1, 2, or auto` channels with no audio input: Audio omitted from the output

- `1` channel with any input with audio: One track with one channel, downmixed if necessary, plus six MOS tracks

- `2` channels with one track with one channel: Two tracks with one identical channel each, plus six MOS tracks

- `2 or auto` channels with two tracks with one channel each: Two tracks with one channel each, plus six MOS tracks

- `2 or auto` channels with one track with two channels: Two tracks with one channel each, plus six MOS tracks

- `2` channels with one track with multiple channels: Two tracks with one channel each, plus six MOS tracks

- `auto` channels with one track with one channel: One track with one channel, plus seven MOS tracks

- `auto` channels with one track with multiple channels: Up to eight tracks with one channel each, plus MOS tracks until there are eight tracks in all

Returns:
  The method of organizing audio channels and tracks. Use `Audio:Channels` to specify the number of channels in your output, and `Audio:AudioPackingMode` to specify the number of tracks and their relation to the channels. If you do not specify an `Audio:AudioPackingMode`, Elastic Transcoder uses `SingleTrack`.

  The following values are valid:

  `SingleTrack`, `OneChannelPerTrack`, and `OneChannelPerTrackWithMosTo8Tracks`

  When you specify `SingleTrack`, Elastic Transcoder creates a single track for your output. The track can have up to eight channels. Use `SingleTrack` for all non-`mxf` containers.

  The outputs of `SingleTrack` for a specific channel value and inputs are as follows:

  - `0` channels with any input: Audio omitted from the output

  - `1, 2, or auto` channels with no audio input: Audio omitted from the output

  - `1` channel with any input with audio: One track with one channel, downmixed if necessary

  - `2` channels with one track with one channel: One track with two identical channels

  - `2 or auto` channels with two tracks with one channel each: One track with two channels

  - `2 or auto` channels with one track with two channels: One track with two channels

  - `2` channels with one track with multiple channels: One track with two channels

  - `auto` channels with one track with one channel: One track with one channel

  - `auto` channels with one track with multiple channels: One track with multiple channels

  When you specify `OneChannelPerTrack`, Elastic Transcoder creates a new track for every channel in your output. Your output can have up to eight single-channel tracks.

  The outputs of `OneChannelPerTrack` for a specific channel value and inputs are as follows:

  - `0` channels with any input: Audio omitted from the output

  - `1, 2, or auto` channels with no audio input: Audio omitted from the output

  - `1` channel with any input with audio: One track with one channel, downmixed if necessary

  - `2` channels with one track with one channel: Two tracks with one identical channel each

  - `2 or auto` channels with two tracks with one channel each: Two tracks with one channel each

  - `2 or auto` channels with one track with two channels: Two tracks with one channel each

  - `2` channels with one track with multiple channels: Two tracks with one channel each

  - `auto` channels with one track with one channel: One track with one channel

  - `auto` channels with one track with multiple channels: Up to eight tracks with one channel each

  When you specify `OneChannelPerTrackWithMosTo8Tracks`, Elastic Transcoder creates eight single-channel tracks for your output. All tracks that do not contain audio data from an input channel are MOS, or Mit Out Sound, tracks.

  The outputs of `OneChannelPerTrackWithMosTo8Tracks` for a specific channel value and inputs are as follows:

  - `0` channels with any input: Audio omitted from the output

  - `1, 2, or auto` channels with no audio input: Audio omitted from the output

  - `1` channel with any input with audio: One track with one channel, downmixed if necessary, plus six MOS tracks

  - `2` channels with one track with one channel: Two tracks with one identical channel each, plus six MOS tracks

  - `2 or auto` channels with two tracks with one channel each: Two tracks with one channel each, plus six MOS tracks

  - `2 or auto` channels with one track with two channels: Two tracks with one channel each, plus six MOS tracks

  - `2` channels with one track with multiple channels: Two tracks with one channel each, plus six MOS tracks

  - `auto` channels with one track with one channel: One track with one channel, plus seven MOS tracks

  - `auto` channels with one track with multiple channels: Up to eight tracks with one channel each, plus MOS tracks until there are eight tracks in all

#### withAudioPackingMode

    public AudioParameters withAudioPackingMode(String audioPackingMode)

The method of organizing audio channels and tracks. Use `Audio:Channels` to specify the number of channels in your output, and `Audio:AudioPackingMode` to specify the number of tracks and their relation to the channels. If you do not specify an `Audio:AudioPackingMode`, Elastic Transcoder uses `SingleTrack`.

The following values are valid:

`SingleTrack`, `OneChannelPerTrack`, and `OneChannelPerTrackWithMosTo8Tracks`

When you specify `SingleTrack`, Elastic Transcoder creates a single track for your output. The track can have up to eight channels. Use `SingleTrack` for all non-`mxf` containers.

The outputs of `SingleTrack` for a specific channel value and inputs are as follows:

- `0` channels with any input: Audio omitted from the output

- `1, 2, or auto` channels with no audio input: Audio omitted from the output

- `1` channel with any input with audio: One track with one channel, downmixed if necessary

- `2` channels with one track with one channel: One track with two identical channels

- `2 or auto` channels with two tracks with one channel each: One track with two channels

- `2 or auto` channels with one track with two channels: One track with two channels

- `2` channels with one track with multiple channels: One track with two channels

- `auto` channels with one track with one channel: One track with one channel

- `auto` channels with one track with multiple channels: One track with multiple channels

When you specify `OneChannelPerTrack`, Elastic Transcoder creates a new track for every channel in your output. Your output can have up to eight single-channel tracks.

The outputs of `OneChannelPerTrack` for a specific channel value and inputs are as follows:

- `0` channels with any input: Audio omitted from the output

- `1, 2, or auto` channels with no audio input: Audio omitted from the output

- `1` channel with any input with audio: One track with one channel, downmixed if necessary

- `2` channels with one track with one channel: Two tracks with one identical channel each

- `2 or auto` channels with two tracks with one channel each: Two tracks with one channel each

- `2 or auto` channels with one track with two channels: Two tracks with one channel each

- `2` channels with one track with multiple channels: Two tracks with one channel each

- `auto` channels with one track with one channel: One track with one channel

- `auto` channels with one track with multiple channels: Up to eight tracks with one channel each

When you specify `OneChannelPerTrackWithMosTo8Tracks`, Elastic Transcoder creates eight single-channel tracks for your output. All tracks that do not contain audio data from an input channel are MOS, or Mit Out Sound, tracks.

The outputs of `OneChannelPerTrackWithMosTo8Tracks` for a specific channel value and inputs are as follows:

- `0` channels with any input: Audio omitted from the output

- `1, 2, or auto` channels with no audio input: Audio omitted from the output

- `1` channel with any input with audio: One track with one channel, downmixed if necessary, plus six MOS tracks

- `2` channels with one track with one channel: Two tracks with one identical channel each, plus six MOS tracks

- `2 or auto` channels with two tracks with one channel each: Two tracks with one channel each, plus six MOS tracks

- `2 or auto` channels with one track with two channels: Two tracks with one channel each, plus six MOS tracks

- `2` channels with one track with multiple channels: Two tracks with one channel each, plus six MOS tracks

- `auto` channels with one track with one channel: One track with one channel, plus seven MOS tracks

- `auto` channels with one track with multiple channels: Up to eight tracks with one channel each, plus MOS tracks until there are eight tracks in all

Parameters:
  `audioPackingMode` - The method of organizing audio channels and tracks. Use `Audio:Channels` to specify the number of channels in your output, and `Audio:AudioPackingMode` to specify the number of tracks and their relation to the channels. If you do not specify an `Audio:AudioPackingMode`, Elastic Transcoder uses `SingleTrack`.

  The following values are valid:

  `SingleTrack`, `OneChannelPerTrack`, and `OneChannelPerTrackWithMosTo8Tracks`

  When you specify `SingleTrack`, Elastic Transcoder creates a single track for your output. The track can have up to eight channels. Use `SingleTrack` for all non-`mxf` containers.

  The outputs of `SingleTrack` for a specific channel value and inputs are as follows:

  - `0` channels with any input: Audio omitted from the output

  - `1, 2, or auto` channels with no audio input: Audio omitted from the output

  - `1` channel with any input with audio: One track with one channel, downmixed if necessary

  - `2` channels with one track with one channel: One track with two identical channels

  - `2 or auto` channels with two tracks with one channel each: One track with two channels

  - `2 or auto` channels with one track with two channels: One track with two channels

  - `2` channels with one track with multiple channels: One track with two channels

  - `auto` channels with one track with one channel: One track with one channel

  - `auto` channels with one track with multiple channels: One track with multiple channels

  When you specify `OneChannelPerTrack`, Elastic Transcoder creates a new track for every channel in your output. Your output can have up to eight single-channel tracks.

  The outputs of `OneChannelPerTrack` for a specific channel value and inputs are as follows:

  - `0` channels with any input: Audio omitted from the output

  - `1, 2, or auto` channels with no audio input: Audio omitted from the output

  - `1` channel with any input with audio: One track with one channel, downmixed if necessary

  - `2` channels with one track with one channel: Two tracks with one identical channel each

  - `2 or auto` channels with two tracks with one channel each: Two tracks with one channel each

  - `2 or auto` channels with one track with two channels: Two tracks with one channel each

  - `2` channels with one track with multiple channels: Two tracks with one channel each

  - `auto` channels with one track with one channel: One track with one channel

  - `auto` channels with one track with multiple channels: Up to eight tracks with one channel each

  When you specify `OneChannelPerTrackWithMosTo8Tracks`, Elastic Transcoder creates eight single-channel tracks for your output. All tracks that do not contain audio data from an input channel are MOS, or Mit Out Sound, tracks.

  The outputs of `OneChannelPerTrackWithMosTo8Tracks` for a specific channel value and inputs are as follows:

  - `0` channels with any input: Audio omitted from the output

  - `1, 2, or auto` channels with no audio input: Audio omitted from the output

  - `1` channel with any input with audio: One track with one channel, downmixed if necessary, plus six MOS tracks

  - `2` channels with one track with one channel: Two tracks with one identical channel each, plus six MOS tracks

  - `2 or auto` channels with two tracks with one channel each: Two tracks with one channel each, plus six MOS tracks

  - `2 or auto` channels with one track with two channels: Two tracks with one channel each, plus six MOS tracks

  - `2` channels with one track with multiple channels: Two tracks with one channel each, plus six MOS tracks

  - `auto` channels with one track with one channel: One track with one channel, plus seven MOS tracks

  - `auto` channels with one track with multiple channels: Up to eight tracks with one channel each, plus MOS tracks until there are eight tracks in all

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCodecOptions

    public void setCodecOptions(AudioCodecOptions codecOptions)

If you specified `AAC` for `Audio:Codec`, this is the `AAC` compression profile to use. Valid values include:

`auto`, `AAC-LC`, `HE-AAC`, `HE-AACv2`

If you specify `auto`, Elastic Transcoder chooses a profile based on the bit rate of the output file.

Parameters:
  `codecOptions` - If you specified `AAC` for `Audio:Codec`, this is the `AAC` compression profile to use. Valid values include:

  `auto`, `AAC-LC`, `HE-AAC`, `HE-AACv2`

  If you specify `auto`, Elastic Transcoder chooses a profile based on the bit rate of the output file.

#### getCodecOptions

    public AudioCodecOptions getCodecOptions()

If you specified `AAC` for `Audio:Codec`, this is the `AAC` compression profile to use. Valid values include:

`auto`, `AAC-LC`, `HE-AAC`, `HE-AACv2`

If you specify `auto`, Elastic Transcoder chooses a profile based on the bit rate of the output file.

Returns:
  If you specified `AAC` for `Audio:Codec`, this is the `AAC` compression profile to use. Valid values include:

  `auto`, `AAC-LC`, `HE-AAC`, `HE-AACv2`

  If you specify `auto`, Elastic Transcoder chooses a profile based on the bit rate of the output file.

#### withCodecOptions

    public AudioParameters withCodecOptions(AudioCodecOptions codecOptions)

If you specified `AAC` for `Audio:Codec`, this is the `AAC` compression profile to use. Valid values include:

`auto`, `AAC-LC`, `HE-AAC`, `HE-AACv2`

If you specify `auto`, Elastic Transcoder chooses a profile based on the bit rate of the output file.

Parameters:
  `codecOptions` - If you specified `AAC` for `Audio:Codec`, this is the `AAC` compression profile to use. Valid values include:

  `auto`, `AAC-LC`, `HE-AAC`, `HE-AACv2`

  If you specify `auto`, Elastic Transcoder chooses a profile based on the bit rate of the output file.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public AudioParameters clone()

Overrides:
  `clone` in class `Object`